//1. Number: odd
//С помощью prompt узнайте число, введенное пользователем. С помощью if проверьте что число корректно преобразовано
// из строки. В случае ошибки выведите сообщение Выведите четное число или нет, используя if.
/*{
    const a = +prompt ('Введите число');
    if ( !parseInt(a) ) {
        alert ('Нужно писать число!');
    }
    else if (a % 2 === 0) {
        alert("Число четное")
    } else {
        alert("Число нечечтное")
    }
}*/

//2. String: lexics
// Спросите у пользователя текст, и проверьте его на наличие некорректного слова или нескольких некорректных слов.

{ /*
    const line = prompt("Введите текст");
    if  (line.includes("капец")) {
        alert("Ай-я-яй");
    } else {
        alert("Ты молодец!")
    } */
}

//3. Boolean
// Напишите код, который спрашивает те или иные вопросы с ответом "да"/"нет" с помощью confirm, и сохраняет ответы в переменных.
/*{
    let age = confirm("Вам есть 18 лет?");
    let sex = confirm("Ваш пол женский?");
    let study = confirm("Вы учитесь где-то (школа, ВУЗ)?");
} */

//4. Boolean: if
//Расширьте предыдущее задание условиями по полученным переменным условиями (if else).
/*{
    let age = confirm("Вам есть 18 лет?");
    if (age) {
        alert("Это хорошо!")
    } else (alert("Подрасти"));

    let sex = confirm("Ваш пол женский?");
    if (sex) {
        alert("Вы женщина!")
    } else (alert("Вы мужчина!"));

    let study = confirm("Вы учитесь где-то (школа, ВУЗ)?");
    if (study) {
        alert("Молодец")
    } else (alert("Значит Вы работате"));
} */

//5. Comparison: sizes
// Сделайте перевод из нашей системы размеров в американскую или любую на выбор.
/*{
    let size = +prompt("Введите ваш украинский размер одежды (верхняя одежда, платья, брюки)");
    if (size >= 36 && size <= 40) {
        alert("Ваш размер по размерной сетке США XS")
    }
    else if (size === 40) {
        alert("Ваш размер по размерной сетке США S")
    }
    else if (size >= 42 && size <= 44) {
        alert("Ваш размер по размерной сетке США M")
    }
    else if (size >= 46 && size <= 48) {
        alert("Ваш размер по размерной сетке США L")
    }
    else if (size >= 50 && size <= 52) {
        alert("Ваш размер по размерной сетке США XL")
    }
    else if (size >= 54 ) {
        alert("Ваш размер по размерной сетке США XXL")
    } else {
        alert("Введенные данные не верны")
    }
} */

//6. Ternary
// Спросите у пользователя пол (confirm). Выведите с помощью alert "Вы мужчина" или "Вы женщина".

/* {
    let sex = confirm("Ваш пол женский?") ? alert("Вы женщина!") : alert("Вы мужчина!");
}*/

//7. Prompt: or
// Для задания Number: age используя ИЛИ || вывести сообщение об ошибке (alert) если пользователь не введет возраст
// или нажмет отмену (т. е. prompt выдаст пустую строку или null, интерпретируемую как false).
/*{
    const age = prompt('Сколько Вам лет?');
    if (age === "" || age === null) {
        alert("Условие обязательно, введите пожалуйста свой возраст")
    } else {
        const bornYear = 2022 - age;
        alert(`Вы родились в ${bornYear} году`);
    }
}*/

//8. Confirm: or this days
// C помощью этого же трюка (использование ИЛИ для запуска альтернативы) сделайте капризного робота, который в confirm
// спрашивает "шопинг?", а в случае отказа - выводить alert "ты - бяка".
/*{
    const message = confirm('Шопинг????') || alert("Ты бяка");
    alert(message);
} */

//9.  Confirm: if this days
// Сделать тоже самое с помощью if.
// {
//     let shopping = confirm("Шопинг???");
//     if (!shopping) {
//         alert("Ты бяка :(");
//     }
// }

//10.  Default: or
// Попросите пользователя ввести ФИО в три разныe переменныe. Используя ИЛИ || добавьте строки по умолчанию, которые
// будут сохраняться во внутренних переменных если пользователь ввел пустую строку или нажал "Отмена". Например,
// если вы на шаге ввода Фамилии нажмете Escape, фамилия будет "Иванов"
/*{
    let secondName = prompt("Введите вашу фамилию") || "Иванов";
    let firstName = prompt("Введите ваше имя") || "Иван";
    let patronymic = prompt("Введите ваше отчество") || "Иванович";
    alert(`Ваше ФИО ${secondName} ${firstName} ${patronymic}`)
}*/

//11. Default: if
// Сделайте тоже самое с помощью if и else
/*{
    let secondName = prompt("Введите вашу фамилию");
    if (secondName === "" || secondName === null) {
        secondName = "Иванов"
    }
    let firstName = prompt("Введите ваше имя");
    if (firstName === "" || firstName === null) {
        firstName = "Иван"
    }
    let patronymic = prompt("Введите ваше отчество");
    if (patronymic === "" || patronymic === null) {
        patronymic = "Иванович"
    }
    let result = secondName + " " + firstName + " " + patronymic;
    console.log(result);
 }*/

//12.  Login and password
// Напишите код, который спрашивает логин, проверяет его на верность, в случае если логин верен, просит ввести пароль
// и проверяет его. В случае несовпадения логина или пароля выводить alert с текстом ошибки. В случае успешного логина -
// alert с поздравлением. Правильные логин: admin и пароль: qwerty. Используйте вложенные if и else.
/* {
    let userName = prompt("Введите логин");

    if (userName === 'admin') {
        let pass = prompt("Введите пароль");
        if (pass === 'qwerty') {
            alert('Успешный вход');
        } else if (pass === '' || pass == null) {
            alert('Пароль не введен');
        } else {
            alert('Неправильный пароль');
        }
    } else if (userName === '' || userName == null) {
        alert('Логин не введен');
    } else {
        alert("Неправильный логин");
    }
}
*/

//13. Currency exchange

/*
let currency = prompt("Выберите валюту (EUR или USD)");
let action = confirm(`Вы покупаете валюту? (для продажи нажмите - "Отмена"`);
let sum = prompt ("Введите сумму");
let rate;
if (currency.toUpperCase() === "USD") {
    action ? rate = 37.5 : rate = 36.1;
}
else if (currency.toUpperCase() === "EUR"){
    action ? rate = 37.3 : rate = 36.4;
}
else{
    alert("Введенные данные не верны")
}
if(rate){
    if(action){
        alert(`Для покупки потребуется ${Math.floor(sum * rate)} грн.`);
    } else if (!action){
        alert(`Вы получите ${Math.floor(sum * rate)} грн.`);
    }
} */

//14. Scissors +
//Сделайте игру "камень-ножницы-бумага".
/*{
    let compChoice;
    let userChoice = +prompt("Давай сыграем в игру камень-ножницы-бумага.\nВведи\n1-камень\n2-ножницы\n3-бумага");//
    let computer = Math.ceil(Math.random() * 3);
    if (computer === 1) {
        compChoice = "камень";
    } else if (computer === 2) {
        compChoice = "ножницы";
    } else {
        compChoice = "бумага";
    } alert(`Я выбрал ${compChoice}`);

    if (userChoice ===  1 && computer === 2 || userChoice ===  2 && computer === 3) {
        alert("Класс!! Ты выиграл!");
    }
    else if (userChoice ===  3 && computer === 1) {
        alert("Опять тебе повезло!");
    }
    else if (userChoice ===  3 && computer === 2 || userChoice ===  1 && computer === 3 ) {
        alert("Извини, ты проиграл");
    }
    else if (userChoice ===  2 && computer === 1) {
        alert("Сегодня не твой день :)");
    }
    else {
        alert("Ничья");
    }
} */






